Subject: Re: [PATCH net-next RFC 0/9] net: dsa: PTP timestamping for mv88e6xxx

From: Andrew Lunn <[email-masked]>
Date: Wed, 8 Nov 2017 01:09:12 +0100

On Tue, Nov 07, 2017 at 08:56:05PM +0000, Brandon Streiff wrote:
> > Oops, I had "slaveOnly" set in my PC's configuration.  So layer2 seems
> > to work as expected.
> > 
> > Have you tested UDPv4?  It doesn't work.
> 
> I have not. Our usage has been focused on 802.1AS; the ptp4l settings we
> use are the following:
> 
> transportSpecific    0x1
> ptp_dst_mac          01:80:C2:00:00:0E
> p2p_dst_mac          01:80:C2:00:00:0E
> network_transport    L2
> delay_mechanism      P2P
> time_stamping        hardware
> 
> One thing that we're not doing (and probably should be) is configuring
> multicast frames to 01:1B:19:00:00:00 to be destined to the CPU port.
> (01:80:C2:00:00:0E is used for management, so the *_mgmt_rsvd2cpu()
> functions give us that "for free".) That might be necessary to make 1588
> L2 work properly. I don't know if that would affect 1588 L4, or if
> there's anything else missing to make L4 timestamping work from the HW
> perspective.

Is the application performing a join on the group? If so, on which
interface?

I've not tested many multicast applications with DSA. It is possible
we have bugs.

   Andrew